Subject: RE: AD review: draft-ietf-netconf-soap-05

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 3 Sep 2005 19:47:29 +0200

Inline

> -----Original Message-----
> From: Ted Goddard [mailto:[email-masked]]
> Sent: Friday, September 02, 2005 17:57
> To: Wijnen, Bert (Bert)
> Cc: netconf
> Subject: Re: AD review: draft-ietf-netconf-soap-05
> 
> 
> 
> Comments are inline:
> (Bert, thanks for the review and the XML Registry clarification;
> I've incorporated those suggestions below as well.)
> 
> On 1-Sep-05, at 1:32 PM, Wijnen, Bert (Bert) wrote:
> 
> > Hre is my AD review. Sorry that this one slipped through
> > the cracks and took a bit longer. I have also seen
> > the suggested changes (as per below email from Ted) and
> > will assume such changes will be made.
> >
> > A lot of the SOAP/WSDL stuff is completely new for me,
> > so pls bear with me if I ask newbee questions.
> > But I think we should assume that others who read the
> > documents may also be newbees, and so maybe we should at
> > least make it all clear in the document.
> >
> > - I do not see in the document how a session-id gets
> >   passed from setting up a BEEP or HTTP conenction
> >   to the NetConf protocol level so that NetConf can use
> >   the session-id. Maybe it is there, but I do not see it.
> >   Pls explain and clarify in the text.
> 
> This is exchanged through <hello> messages.  The opening sentence
> in 3.3 will be revised as follows:
> 
>     Capabilities exchange and session ID establishment are performed
>     through the exchange of <hello> messages.
> 

Would be good to have an example of such exchange, so that people can
clearly see how it is done.

> > - sect 3.7
> >   - Is it OK to assume a "hypothetical location", or should we
> >     decide and/or request IANA or xmlsoap.org to define a
> >     real and approved location?
> 
> IANA should be requested to provide a location for the NETCONF
> schema (in netconf-prot, I believe).  How should netconf-soap
> be revised to accommodate an IANA request in netconf-prot?
> 

The pieces that netconf-prot needs to get registered is the task
of the netconf-prot document. I did challenge them on the TBD
in their IANA considerations section. 

If you use/need reference to those registered namespaces, then
do indeed reference them and add some (commentary if needed)
text that explains it.

> >   - Have you (has anyone) done a SYNTAX check on the WSDL
> >     document, and if so, which tool was used?
> 
> The WSDL has been checked with xmllint against the xmlsoap.org
> schemas.
> 
Might want to document that, so that people know. Just a simple
comment is fine. 

> >   - In the WSDL document, there are www.iana.org items.
> >     for example I see:
> >      <import namespace="urn:ietf:params:xml:ns:netconf:base:1.0"
> >             location="http://www.iana.org/assignments/xml-registry/
> >                       schema/netconf-base_1.0.xsd"/>
> >     WHere is that coming from.
> >     Maybe that is to be found in the missing (i.e. TBD) text from
> >     the netconf-protocol document?
> 
> Both the namespace and the netconf schema location should be
> requested from IANA in the netconf-protocol document.  The
> netconf-soap draft will be revised to request a netconf-soap
> namespace.
> 
>     The IANA is requested to assign an XML namespace for the NETCONF
>     over SOAP WSDL definitions.
> 
Good.  The above is not good enuf though.
When you request a namespace, then pls also add some rules
and guidelines for IANA that explain how and what IANA can add 
to the namespace later. Read RFC2434 about that.

> 
> >     Another example
> >        xmlns:SOAP="http://schemas.xmlsoap.org/wsdl/soap/"
> >     Does that need a citation/reference?
> 
> This is the standard SOAP namespace as defined in the WSDL reference.
>

One way or another, pls add that to the doc. Either as prelimenary
text before the WSDL document or as comments inside the document.
Maybe I am asking too much here, because I know little about WSDL.
If the WG feels no ptrs/references are needed, I will live with it.
 
> >        xmlns:tns="urn:ietf:params:xml:ns:netconf:soap:1.0"
> >     Does IANA now how to create that? Or is there no IANA
> >     action needed for that?
> 
> IANA action is needed (request described above).
> 
> >     There may be other stuff. Once I understand the above I can
> >     check further and see if I have more questions.
> >
> > - IANA considerations Section
> >   - says "IANA will". Maybe better: "IANA is requested to"
> >   - Is the port for BEEP not already requested via the
> >     netconf-over-beep document?
> 
> This is a different usage of BEEP.  netconf-beep does not use
> the SOAP BEEP mapping (rfc3288bis) but rather uses BEEP directly.
> 

Oh well...

> >   - Where is IANA supposed to put the WSDL definition?
> >     you say in the XML registry. WHich is the document that
> >     explains how to do that? Where is the ptr to the iana
> >     we page that contains these sort of documents?
> 
> This IANA request will be removed.
> 
OK

> > CItation/Reference issues:
> >
> >
> > !! Missing citation for Normative reference:
> >   P018 L030:    [5]   Freed, N. and N. Borenstein, "Multipurpose  
> > Internet Mail
> >
> > !! Missing citation for Normative reference:
> >   P018 L034:    [6]   Freed, N. and N. Borenstein, "Multipurpose  
> > Internet Mail
> >
> > !! Missing citation for Normative reference:
> >   P019 L014:    [13]  Rose, M. and D. New, "Reliable Delivery for  
> > syslog", RFC 3195,
> >
> > !! Missing citation for Informative reference:
> >   P019 L035:    [18]  Barton, J., Nielsen, H. and S. Thatte, "SOAP  
> > Messages with
> >
> > !! Missing citation for Informative reference:
> >   P019 L045:    [20]  Nadalin, A., Kaler, C., Hallam-Baker, P. and  
> > R. Monzillo, "Web
> 
> Extraneous references removed.
> 

Good

> > NITS:
> >
> > - Pls expand Acrionyms first time they are used.
> >   For example BEEP in the abstract.
> >   WSDL in 3rd para section 1.
> 
> Expanded.
> 
Good.
I hope you understood I just listed a few examples.
Pls check all acronyms.

> > - Sect 2.5, last sentence.
> >   you may want to add a citation (and reference) to the RFC(s)
> >   that describes "chunking and persistent connections".
> 
> Citation added (HTTP 1.1).
> 
OK

> > - I see sometimes "Reciever" and other times "Receiver".
> >   I think it should be consistent: "Receiver"
> > - Security COnsiderations section:  s/IPSec/IPsec/
> 
> Fixed.
> 

Good,
Thanks, Bert

> Thanks,
> Ted.
> 
> > Bert
> >
> >
> >> -----Original Message-----
> >> From: [email-masked] [mailto:owner- 
> >> [email-masked]]On
> >> Behalf Of Ted Goddard
> >> Sent: Tuesday, August 30, 2005 19:46
> >> To: netconf
> >> Subject: proposed changes for draft-ietf-netconf-soap-06
> >>
> >>
> >>
> >> Hi All,
> >>
> >> I would like to propose the following changes for the NETCONF SOAP
> >> draft in the indicated sections:
> >>
> >>
> >> Section 0
> >>
> >>       RFC 3978 boilerplate
> >>
> >> Section 2.4  BCP56: On the Use of HTTP as a Substrate
> >>
> >>       It is also possible to respond to the concern on the 
> re-use of
> >>       port 80.  A NETCONF SOAP service SHOULD be offered over a new
> >>       standard port for NETCONF over SOAP (over HTTP) to
> >>       be defined as requested in the IANA considerations of this
> >>       document.
> >>
> >> Section 4  Security Considerations
> >>
> >>       The IANA requested port SHOULD be used, as this provides a  
> >> means
> >>       for efficient firewall filtering during possible
> >> denial-of-service
> >>       attacks.
> >>
> >> Section 5  IANA Considerations
> >>
> >>       The IANA is requested to assign TCP ports for 
> NETCONF for SOAP
> >>       over HTTP and SOAP over BEEP.
> >>
> >>       The IANA is requested to place netconf-soap_1.0.wsdl in the
> >>       IANA XML registry.
> >>
> >> The following indicated ID-nits appear to be in error (xml2rfc
> >> output checked with "od -c"):
> >>
> >> tmp/draft-ietf-netconf-soap-05.txt(452):
> >>    Line is too long: the offending characters are 'elope"'
> >> tmp/draft-ietf-netconf-soap-05.txt(464):
> >>    Line is too long: the offending characters are
> >> 's:netconf:base:1.0">'
> >>
> >>
> >> Thanks,
> >> Ted.
> >>
> >
> > --
> > to unsubscribe send a message to [email-masked] with
> > the word 'unsubscribe' in a single line as the message text body.
> > archive: <http://ops.ietf.org/lists/netconf/>
> >
> 
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: Ted Goddard <[email-masked]>
Date: Thu, 8 Sep 2005 16:54:12 -0600

Comments are inline  Should a new draft be issued given the
changes indicated below?

> clearly see how it is done.

An example that shows the necessary client/server roles when
HTTP is used has been added.

> do indeed reference them and add some (commentary if needed)

A reference to these namespaces being subject to IANA consideration  
for the
NETCONF protocol has been added.

    The following WSDL document assumes a hypothetical location for the
    NETCONF schema and a hypothetical identifier for the NETCONF
    namespace, subject to IANA considerations for the NETCONF [1]
    protocol.

> Might want to document that, so that people know. Just a simple

Comment and reference to xmllint added.

    It is valid as verified by the xmlsoft.org tool xmllint
    against the standard WSDL [15] xmlsoap.org schemas referenced by the
    "SOAP" and default namespace declarations below.

> to the namespace later. Read RFC2434 about that.

Added a comment that namespace additions should follow the  
"Specification Required"
policy -- it is not necessary for third parties to add to this  
namespace as
XML allows them to simply declare their own namespaces.

    The IANA is requested to assign an XML namespace for the NETCONF  
over
    SOAP WSDL definitions.  Following the policies outlined in RFC 2434
    [14], assigned values in this namespace are allocated according to
    the "Specification Required" policy.

> If the WG feels no ptrs/references are needed, I will live with it.

Comment added with WSDL validity comment above.

>> Extraneous references removed.

MIME reference restored along with acronym expansion.

> I hope you understood I just listed a few examples.

Expanded IANA, XML, MIME, and RADIUS.  Nits checked with idnits-v1.77.

Thanks,
Ted.